## Index

### Functions

- finished
- pipeline

## Functions

### finished

- finished(stream: ReadableStream | WritableStream | ReadWriteStream, options?: FinishedOptions): Promise<void>

- #### Parameters

  - ##### stream: ReadableStream | WritableStream | ReadWriteStream

  - ##### Optional options: FinishedOptions

  #### Returns Promise<void>

### pipeline

- pipeline<A, B>(source: A, destination: B, options?: PipelineOptions): PipelinePromise<B>
- pipeline<A, T1, B>(source: A, transform1: T1, destination: B, options?: PipelineOptions): PipelinePromise<B>
- pipeline<A, T1, T2, B>(source: A, transform1: T1, transform2: T2, destination: B, options?: PipelineOptions): PipelinePromise<B>
- pipeline<A, T1, T2, T3, B>(source: A, transform1: T1, transform2: T2, transform3: T3, destination: B, options?: PipelineOptions): PipelinePromise<B>
- pipeline<A, T1, T2, T3, T4, B>(source: A, transform1: T1, transform2: T2, transform3: T3, transform4: T4, destination: B, options?: PipelineOptions): PipelinePromise<B>
- pipeline(streams: readonly (ReadableStream | WritableStream | ReadWriteStream)[], options?: PipelineOptions): Promise<void>
- pipeline(stream1: ReadableStream, stream2: WritableStream | ReadWriteStream, ...streams: (WritableStream | ReadWriteStream | PipelineOptions)[]): Promise<void>

- #### Type parameters

  - #### A: PipelineSource<any>

  - #### B: WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | <internal>.Buffer> | PipelineDestinationPromiseFunction<string | <internal>.Buffer, any>

  #### Parameters

  - ##### source: A

  - ##### destination: B

  - ##### Optional options: PipelineOptions

  #### Returns PipelinePromise<B>

- #### Type parameters

  - #### A: PipelineSource<any>

  - #### T1: PipelineTransform<A, any>

  - #### B: WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | <internal>.Buffer> | PipelineDestinationPromiseFunction<string | <internal>.Buffer, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### destination: B

  - ##### Optional options: PipelineOptions

  #### Returns PipelinePromise<B>

- #### Type parameters

  - #### A: PipelineSource<any>

  - #### T1: PipelineTransform<A, any>

  - #### T2: PipelineTransform<T1, any>

  - #### B: WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | <internal>.Buffer> | PipelineDestinationPromiseFunction<string | <internal>.Buffer, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### transform2: T2

  - ##### destination: B

  - ##### Optional options: PipelineOptions

  #### Returns PipelinePromise<B>

- #### Type parameters

  - #### A: PipelineSource<any>

  - #### T1: PipelineTransform<A, any>

  - #### T2: PipelineTransform<T1, any>

  - #### T3: PipelineTransform<T2, any>

  - #### B: WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | <internal>.Buffer> | PipelineDestinationPromiseFunction<string | <internal>.Buffer, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### transform2: T2

  - ##### transform3: T3

  - ##### destination: B

  - ##### Optional options: PipelineOptions

  #### Returns PipelinePromise<B>

- #### Type parameters

  - #### A: PipelineSource<any>

  - #### T1: PipelineTransform<A, any>

  - #### T2: PipelineTransform<T1, any>

  - #### T3: PipelineTransform<T2, any>

  - #### T4: PipelineTransform<T3, any>

  - #### B: WritableStream | PipelineDestinationIterableFunction<any> | PipelineDestinationPromiseFunction<any, any> | PipelineDestinationIterableFunction<string | <internal>.Buffer> | PipelineDestinationPromiseFunction<string | <internal>.Buffer, any>

  #### Parameters

  - ##### source: A

  - ##### transform1: T1

  - ##### transform2: T2

  - ##### transform3: T3

  - ##### transform4: T4

  - ##### destination: B

  - ##### Optional options: PipelineOptions

  #### Returns PipelinePromise<B>

- #### Parameters

  - ##### streams: readonly (ReadableStream | WritableStream | ReadWriteStream)[]

  - ##### Optional options: PipelineOptions

  #### Returns Promise<void>

- #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: WritableStream | ReadWriteStream

  - ##### Rest ...streams: (WritableStream | ReadWriteStream | PipelineOptions)[]

  #### Returns Promise<void>

Generated using TypeDoc